diff --git a/rosbag2_py/CMakeLists.txt b/rosbag2_py/CMakeLists.txt
index 9183173..95fa048 100644
--- a/rosbag2_py/CMakeLists.txt
+++ b/rosbag2_py/CMakeLists.txt
@@ -24,6 +24,11 @@ if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
   set(Python3_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
 endif()
 
+if(QNX)
+  # Workaround for sys/termio.h:115 error
+  add_compile_definitions(__hpux=1)
+endif()
+
 find_package(ament_cmake REQUIRED)
 find_package(ament_cmake_python REQUIRED)
 find_package(ament_cmake_ros REQUIRED)
